STFRNG(4)

NAME
stfrng - StarFive JH7110 random number generator

SYNOPSIS
stfrng* at fdt?

DESCRIPTION
The stfrng driver provides support for the random number generator found on the StarFive JH7110 SoC.

It feeds the random subsystem's entropy pool with 256 bits of random data every second.

SEE ALSO
intro(4), random(4), arc4random(9)

HISTORY
The stfrng driver first appeared in OpenBSD 7.4.

AUTHORS
-nosplit The stfrng driver was written by Mark Kettenis <kettenis@openbsd.org>.